<refentry id="constant.element" revision='3.1'>
<?dbhtml filename="constant.html"?>
<refentryinfo>
<pubdate>$Date: 2002-06-12 19:19:37 +0800 (Wed, 12 Jun 2002) $</pubdate>
<releaseinfo>$Revision: 1666 $</releaseinfo>
</refentryinfo>

<refmeta>
<indexterm><primary>elements</primary>
<secondary>constant</secondary></indexterm>
<refentrytitle>constant</refentrytitle>
<refmiscinfo>Element</refmiscinfo>
</refmeta>
<refnamediv>
<refname>constant</refname>
<refpurpose>&constant.purpose;</refpurpose>
</refnamediv>

&constant.synopsis.gen;
<refsect1 condition='ref.description'><title>Description</title>

<para>
A <sgmltag>Constant</sgmltag> identifies a value as immutable. It is most often
used to identify system limitations or other defined constants.
</para>

<refsect2><title>Processing expectations</title>
<para>
&format.inline;
</para>
</refsect2>


&constant.parents.gen;
&constant.children.gen;
</refsect1>
<refsect1 condition='ref.elem.attrdesc'><title>Attributes</title>
<variablelist>
<varlistentry><term>class</term>
<listitem>
<para>
<sgmltag class="attribute">Class</sgmltag> identifies constants that are system
or application limits (for example, the maximum length of a filename).
</para>
</listitem>
</varlistentry>
</variablelist>
</refsect1>
<refsect1 condition='ref.elem.seealso'><title>See Also</title>
&constant.seealso.gen;
</refsect1>
<refsect1><title>Examples</title>

<informalexample role="example-source">
<programlisting>&constant.example.1.txt;</programlisting>
</informalexample>

<anchor id="ex.os.constant.1" role="HACK-ex.out.start"/>
&constant.example.1.gen;
<anchor id="ex.oe.constant.1" role="HACK-ex.out.end"/>

<informalexample role="example-source">
<programlisting>&constant.example.2.txt;</programlisting>
</informalexample>

<anchor id="ex.os.constant.2" role="HACK-ex.out.start"/>
&constant.example.2.gen;
<anchor id="ex.oe.constant.2" role="HACK-ex.out.end"/>

&constant.example.seealso.gen;
</refsect1>
</refentry>

